package com.tofly.third.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

@Getter
public enum BcFylxEnum implements IEnum<Integer> {
    Zhfy(1, "综合费用"),
    Jbsf(2, "基本水费"),
    Wsclf(3, "污水处理费"),
    Ljf(4, "垃圾费"),
    Szys(5, "水资源税"),
    Wyj(6, "违约金"),
    Ycf(7, "预存费"),
    Qtf(8, "其它费"),
    Yw_Qt(11, "业务-其它"),
    Yw_Sbf(12, "业务-水表费"),
    Cqcxszys(13, "城区冲洗水资源税"),
    Cqcxwsclf(14, "城区冲洗污水处理费"),
    Cqcxjbsf(15, "城区冲洗基本水费"),
    Yw_Cxjbsf(16, "业务-冲洗基本水费"),
    XFSF(17, "消防栓费"),
    ECJYF(18, "二次加压费"),
    FJF(19, "附加费"),


    ;

    private final Integer value;
    private final String name;

    //创建构造器
    BcFylxEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    @Override
    public Integer getValue() {
        return this.value;
    }
}